# HG changeset patch
# User Pantxo Diribarne <pantxo.diribarne@gmail.com>
# Date 1572281226 -3600
#      Mon Oct 28 17:47:06 2019 +0100
# Node ID 2d81a4c055f35feba5755c125ca961920631b1f3
# Parent  c2f2fb1df9ed71cdc2247361eea36de5b5eaf9dc
Rewrite legend (task #14243)

* __gnuplot_legend__.m: Rename previous legend.m to __gnuplot_legend__.m and
  use it to display legends in gnuplot.
  
* legend.m: Complete rewrite. 

* plotyy.m: Redo listeners and use "outerposition" as the default
  "activepositionproperty"
  
diff -r c2f2fb1df9ed -r 2d81a4c055f3 scripts/plot/appearance/legend.m
--- a/scripts/plot/appearance/legend.m	Thu Oct 24 22:33:37 2019 +0200
+++ b/scripts/plot/appearance/legend.m	Mon Oct 28 17:47:06 2019 +0100
@@ -21,21 +21,18 @@
 ## @deftypefnx {} {} legend (@var{str1}, @var{str2}, @dots{})
 ## @deftypefnx {} {} legend (@var{charmat})
 ## @deftypefnx {} {} legend (@{@var{cellstr}@})
-## @deftypefnx {} {} legend (@dots{}, "location", @var{pos})
-## @deftypefnx {} {} legend (@dots{}, "orientation", @var{orient})
-## @deftypefnx {} {} legend (@var{hax}, @dots{})
+## @deftypefnx {} {} legend (@dots{}, @var{property}, @var{value}, @dots{})
 ## @deftypefnx {} {} legend (@var{hobjs}, @dots{})
-## @deftypefnx {} {} legend (@var{hax}, @var{hobjs}, @dots{})
-## @deftypefnx {} {} legend ("@var{option}")
-## @deftypefnx {} {} legend (@dots{}, @{@var{cellstr}@}, @var{property}, @var{value}, @dots{})
-## @deftypefnx {} {[@var{hleg}, @var{hleg_obj}, @var{hplot}, @var{labels}] =} legend (@dots{})
+## @deftypefnx {} {} legend (@var{command})
+## @deftypefnx {} {} legend (@var{hax}, @dots{})
+## @deftypefnx {} {@var{hleg, hplt} =} legend (@dots{})
 ##
 ## Display a legend for the current axes using the specified strings as labels.
 ##
 ## Legend entries may be specified as individual character string arguments,
 ## a character array, or a cell array of character strings.  When label names
-## might be confused with options to @code{legend}, the labels should be
-## protected by specifying them as a cell array of strings.
+## might be confused with legend properties, or @var{command} arguments,
+## the labels should be protected by specifying them as a cell array of strings.
 ##
 ## If the first argument @var{hax} is an axes handle, then add a legend to this
 ## axes, rather than the current axes returned by @code{gca}.
@@ -102,22 +99,7 @@
 ## including @var{property}/@var{value} pairs.  If using this calling form, the
 ## labels must be specified as a cell array of strings.
 ##
-## The optional output values are
-##
-## @table @var
-## @item hleg
-##   The graphics handle of the legend object.
-##
-## @item hleg_obj
-##   Graphics handles to the text, patch, and line objects which form the
-##   legend.
-##
-## @item hplot
-##   Graphics handles to the plot objects which were used in making the legend.
-##
-## @item labels
-##   A cell array of strings of the labels in the legend.
-## @end table
+## The optional output value @var{hleg} is a handle to the legend object.
 ##
 ## Implementation Note: The legend label text is either provided in the call to
 ## @code{legend} or is taken from the @code{DisplayName} property of the
